jQuery.validator.addMethod("lettersonly", function (value, element) {
    return value.match(new RegExp("^[a-zA-Z]+[a-zA-Z ]*$"));
}, "Letters only.");

jQuery.validator.addMethod("digitsOnly", function (value, element) {
    return value.match(new RegExp("^\d*$"));
}, "Digits only.");

jQuery.validator.addMethod("validateEmail", function (value) {
    var emailReg = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    console.log(value);
    return emailReg.test(value);
}, "Invalid email address.");

jQuery.validator.addMethod("validSSN", function (value, element) {
    return value.match(new RegExp("^(?!666|000|9\\d{2})\\d{3}-(?!00)\\d{2}-(?!0{4})\\d{4}$"));
}, "Invalid Social Security Number.");

jQuery.validator.addMethod("notEqual", function(value, element, param) {
    return this.optional(element) || value != $(param).val();
  }, "Bank Account Number & Bank ABA Must Be Unique Values");


jQuery.validator.addMethod("ABAUS", function (value, element) {

    if(value.length !== 9){
        return false;
    }
    var isSuccess = true;

    try{
        $.ajax({ url: "https://www.routingnumbers.info/api/data.json",
            data: {rn: value},
            timeout: 20000,
            async: false,
            method: 'GET',
            success: function(data) {
                if(parseInt(data.code) !== 200){
                    isSuccess = false;
                }
            }
        });
    }catch (e) {
        console.log(e);
    }

    return isSuccess;

}, "Invalid Bank ABA number");

jQuery.validator.addMethod("USPhone", function (value, element) {

    var isSuccess = true;

    try{
        firstnumber = Number(value.substring(0, 1));

        if(firstnumber <= 1)
        {
            isSuccess = false;
        }

    }catch (e) {
        console.log(e);
    }

    return isSuccess;

}, "Invalid phone number");


(function ($) {

    jQuery.fn.forceNumeric = function () {
        return this.each(function () {
            $(this).keydown(function (e) {
                var key = e.which || e.keyCode;

                if (!e.shiftKey && !e.altKey && !e.ctrlKey &&
                // numbers
                    key >= 48 && key <= 57 ||
                // Numeric keypad
                    key >= 96 && key <= 105 ||
                // comma, period and minus, . on keypad
                   key == 190 || key == 188 || key == 109 || key == 110 ||
                // Backspace and Tab and Enter
                   key == 8 || key == 9 || key == 13 ||
                // Home and End
                   key == 35 || key == 36 ||
                // left and right arrows
                   key == 37 || key == 39 ||
                // Del and Ins
                   key == 46 || key == 45)
                    return true;

                return false;
            });
        });
    }

    jQuery.fn.forceLettersOnly = function() {
        return this.each(function() {
            $(this).keydown(function(e) {var key = e.charCode || e.keyCode || 0; var letter = String.fromCharCode(key); return ((key < 48 || key > 57) && (key < 96 || key > 105) || !letter.match(/[^a-zA-Z]/g)); });
        });
    };

    $(".SSN__step input").keyup(function(){
        if ($(this).val().length == 3){
            $(this).val($(this).val() + "-");
        }else if ($(this).val().length == 6){
            $(this).val($(this).val() + "-");
        }
    });

    function getStatus(app_id) {
        var dataPost = {'app_id': app_id, 'action': 'check_app_status', 'email': $('#email').val()};

        $.ajax({
            type: 'POST',
            url: '/proxy-status.php',
            timeout: 300000,
            data: dataPost,
            success: function (data) {

                data = JSON.parse(data);

                if (data.status == 1) {

                    var trackingCode = $('#tracking_code').val();

                    var affNum = parseFloat(data.aff_price).toFixed(2);

                    var subData = $('#sub').val();
                    var subData2 = $('#sub2').val();
                    if (!subData) {
                        subData = '';
                    }
                    if (!subData2) {
                        subData2 = '';
                    }

                    if(trackingCode === 'aff15915'){
                        console.log("aff15915");

                        var subData = $('#sub').val();

                        if (!subData) {
                            subData = '';
                        }

                        var pxUrl = "https://keplerads.fuse-ad.com/pb?tid=" + subData + "&adv_cvalue=" + affNum;

                        var img15915 = '<img src="' + pxUrl +'" width="1" height="1" alt=""/>';

                        console.log(img15915);

                        $('body').prepend(img15915);
                    }

                    if(trackingCode === 'aff18213'){
                        console.log(trackingCode);

                        if (!subData) {
                            subData = '';
                        }

                        var pxUrl = 'https://dynuinmedia.go2cloud.org/aff_lsr?transaction_id=' + subData2 + '&sub=' + subData + '&amount=' + affNum;

                        var imgPx = '<img src="' + pxUrl +'" width="1" height="1" alt=""/>';

                        console.log(imgPx);

                        $('body').prepend(imgPx);
                    }

                    // check if data.postback is exists
                    if(data.postback){
                        console.log('postback');
                        console.log(data.postback);
                        console.log(affNum);
                        //for each postback
                        for (var i = 0; i < data.postback.length; i++) {
                            var pxUrl = data.postback[i];
                            console.log(pxUrl);
                            //replace [commission] by aff_price value, replace [subid2] by sub2 value, replace [subid]  by sub value
                            pxUrl = pxUrl.replace('[commission]', affNum);
                            pxUrl = pxUrl.replace('[subid2]', subData2);
                            pxUrl = pxUrl.replace('[subid]', subData);
                            console.log(pxUrl);
                            var pxImg = '<img src="' + pxUrl + '" width="1" height="1" alt=""/>';
                            console.log(pxImg);
                            $('body').prepend(pxImg);
                        }
                    }


                    $("#waitPopUp").bPopup().close();
                    top.window.location.href = data.redirectUrl;

                } else if (data.status == 3) {
                    setTimeout(function () {
                        getStatus(app_id);
                    }, 3000);
                } else {

                    $("#waitPopUp").bPopup().close();
                    in_progress = false;
                }
            }
        });
    }

    function showPopupLoader(){
        $('#waitPopUp').bPopup({
            modalClose: false,
            opacity: 0.6,
            positionStyle: 'fixed' //'fixed' or 'absolute'
        });

        var pb_width = 0;

        $(".meter > span").css("width","0%");

        in_progress = true;

        window.setInterval(function(){

            if(in_progress == true)
            {
                pb_width = parseFloat(pb_width) + parseFloat(0.8);
                if(pb_width >= 100){ pb_width = 100; }

                $("#pb_percent").html(Math.round(pb_width)+"%");

                $(".meter > span").animate({
                    width: pb_width+"%"
                },1000);
            }
        }, 1000);
    }

    var form = $("#cash_ref__request");

    $('.employeePhone__step input').usPhoneFormat({
        format: '(xxx) xxx-xxxx'
    });

    var dateToday = new Date();

    dateToday.setMonth(dateToday.getMonth() + 1);

    var dateString =  dateToday.getFullYear() + '-'  + (dateToday.getMonth()+1) + "-" + dateToday.getDate();

    $("#next_payday_field").val(dateString);

    $("#next_payday_select").datepicker({
        onSelect: function(date) {
            $("#next_payday_field").val(date);
        },
        format: 'yyyy-mm-d',
        startDate: '+0d',
        minDate: '+1d',
        beforeShowDay: $.datepicker.noWeekends,
        firstDay: 1
    });
    $("#birthDate").datepicker();
    function menuToggle() {
        var ww = $(window).width();
        if (ww < 991) {
            $('#header .inn .navi').addClass('mobile');
            $('#header .inn .navi.mobile a').click(function () {
                if ($('#header .inn .navi').hasClass('mobile')) {
                    $('#header .inn .navi').slideUp(300);
                    $('#header .inn .mobile_menu a.hamburg').removeClass('active');
                    $('#header .inn .mobile_menu a.login').show();
                }
            });
        } else {
            $('#header .inn .navi').removeClass('mobile');
        }
    }
    $(document).ready(function () {
        menuToggle();
        console.log("ready");

        $(".numberinput").forceNumeric();
        $(".letterinput").forceLettersOnly();

        $('.sec_home .inn .content p a').click(function () {
            $('#request').toggleClass('anim');
        });

        $('.faq_list .item:first-child').addClass('active').find('.ans').show();
        $('.faq_list .item h3').click(function () {
            if ($(this).parent().hasClass('active')) {
                //do nothing
            } else {
                $('.faq_list .item .ans').slideUp(300);
                $('.faq_list .item').removeClass('active');
                $(this).next().slideDown(300);
                $(this).parent().addClass('active');
            }
        });

        $('.f_language span').click(function () {
            $(this).next().slideToggle(300);
        });

        $('#header .inn .mobile_menu a.hamburg').click(function () {
            $(this).toggleClass('active');
            $('#header .inn .mobile_menu a.login').toggle();
            $('#header .inn .navi').slideToggle(300);
            return false;
        });

    });

    $(document).ready(function () {
        $('.show-hide').hide();
        $('#step1').show();
        console.log("ready2");

        var validator = form.validate({
            rules: {
                email__input: {
                    required: true,
                    validateEmail: true,
                },
                input__zipcode: {
                    required: true,
                    digits: true,
                    minlength: 5,
                    maxlength: 5
                },
                last_4_ssn: {
                    required: true,
                    digits: true,
                    minlength: 4,
                    maxlength: 4
                },
                mob__num: {
                    required: true,
                    minlength: 14,
                    maxlength: 14
                },
                input__addr: {
                    required: true,
                },
                emp__name: {
                    required: true,
                    minlength: 2,
                    lettersonly: true
                },
                title: {
                    required: true,
                },
                job__title: {
                    required: true,
                    lettersonly: true
                },
                emp_phne: {
                    required: true,
                    minlength: 14,
                    maxlength: 14,
                },
                state: {
                    required: true,
                },
                legal__fname: {
                    required: true,
                    minlength: 2,
                    lettersonly: true
                },
                legal__lname: {
                    required: true,
                    minlength: 2,
                    lettersonly: true
                },
                bank_name: {
                    required: true,
                    minlength: 2,
                    lettersonly: true
                },
                bank__accountType: {
                    required: true,
                },
                bank_accNum: {
                    required: true,
                    minlength: 4,
                    maxlength: 25,
                    digits: true,
                    notEqual: '#bank_aba'
                },
                driver_license: {
                    required: true,
                    minlength: 2,
                    maxlength: 25
                },
                routing__name: {
                    required: true,
                    number: true,
                    minlength: 9,
                    maxlength: 9,
                    digits: true,

                },
                ssn_number: {
                    required: true,
                    minlength: 9,
                    validSSN: true
                },
                yyyy: {
                    required: true,
                },
                mm: {
                    required: true,
                },
                dd: {
                    required: true,
                },
            },
            onkeyup: function(element) {$(element).valid()},
            invalidHandler: function(form, validator) {

                console.log("invalidHandler : event", form);
                console.log("invalidHandler : validation", validator);

                if (!validator.numberOfInvalids())
                    return;
            },

            highlight: function(element) {
                $(element).closest('.step__input').removeClass('has-success').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.step__input').removeClass('has-error').addClass('has-success');
            },
            messages: {
                username: {
                },
                emp_phne: {
                    minlength: "Please enter at least 10 characters",
                    maxlength: "Please enter at least 10 characters"
                },
                mob__num: {
                    minlength: "Please enter at least 10 characters",
                    maxlength: "Please enter at least 10 characters"
                }
            }
        });

        $('.step-btn__next').click(function () {

            if (form.valid() == true) {

                $('.show-hide').hide();
                $(this).closest('.show-hide').hide().next('.show-hide').show();
                return false;
            }else{
                console.log('validate errors:');
                console.log(validator.errors());
            }
        });

        $('.step-btn__next_ssn').click(function (e) {
            e.preventDefault();
            console.log("next ssn click");

            var _this = $(this);

            if (form.valid() == true) {
                $.ajax({
                    type: 'POST',
                    crossDomain: true,
                    data: {
                        action: 'verify_email_ssn',
                        email: $("form.register [name='email__input']").val(),
                        last_ssn: $("form.register [name='last_4_ssn']").val(),
                    },
                    url: '/proxy-verify.php',
                    timeout: 300000,
                    success: function (data) {
                        console.log(data);
                        var result = jQuery.parseJSON(data);

                        if (!result.success) {
                            console.log('customer not found');
                            $('.show-hide').hide();
                            _this.closest('.show-hide').hide().next('.show-hide').show();
                            return false;
                        } else {
                            $('.step-btn__finish').hide();
                            $('.step-btn__finish_ssn').show();
                            $('.show-hide').hide();
                            $('#step25').show();
                            return false;
                        }

                    }
                });

                return false;
            }else{
                console.log('validate errors:');
                console.log(validator.errors());
                return false;
            }
        });

        $('.credit_score_offer_link').on('click', function(e){
            e.preventDefault();
            var url = $(this).attr('href');
            var first_name = $("form.register [name='legal__fname']").val();
            var last_name = $("form.register [name='legal__lname']").val();
            var email = $("form.register [name='email__input']").val();
            var phone = $("form.register [name='mob__num']").val().replace(/[^0-9]+/g, "");
            var address = $("form.register [name='input__addr']").val();
            var city = $("form.register [name='input__city']").val();
            var zip = $("form.register [name='input__zipcode']").val();
            var state = $("form.register [name='state']").val();
            url += "?custfname=" + first_name + "&custlname=" + last_name + "&custemail=" + email + "&custphone=" + phone + "&custaddress=" + address + "&city=" + city + "&custzip=" + zip + "&state=" + state;

            window.open(url, '_blank');

        });

        $('.step-btn__finish').click(function (e) {
            e.preventDefault();
            console.log("finish click");
            if (form.valid() == true) {
                showPopupLoader();

                var _month = parseInt($('#month').val());
                if(_month < 10) {
                    _month = '0' + _month;
                }
                var _day = parseInt($('#day').val());
                if(_day < 10) {
                    _day = '0' + _day;
                }
                $.ajax({
                    type: 'POST',
                    crossDomain: true,
                    data: {
                        action: 'add_app',
                        date_birth: $('#year').val() + '-' + _month + '-' + _day,
                        email: $("form.register [name='email__input']").val(),
                        title: $("form.register [name='title']").val(),
                        first_name: $("form.register [name='legal__fname']").val(),
                        last_name: $("form.register [name='legal__lname']").val(),
                        home_phone: $("form.register [name='mob__num']").val().replace(/[^0-9]+/g, ""),
                        work_phone: $("form.register [name='emp_phne']").val().replace(/[^0-9]+/g, ""),
                        mobile_phone: $("form.register [name='mob__num']").val().replace(/[^0-9]+/g, ""),
                        company_name: $("form.register [name='emp__name']").val(),
                        job_title: $("form.register [name='job__title']").val(),
                        move_here_date: $("form.register [name='timeMovedHere']:checked").val(),
                        //employer_industry: $("form.register [name='employer_industry']").val(),
                        employment_started: $("form.register [name='timeEmployed']:checked").val(),
                        monthly_income: $("form.register [name='monthlyGross']:checked").val(),
                        income_source: $("form.register [name='incomeSource']:checked").val(),
                        pay_frequency: $("form.register [name='payFrequency']:checked").val(),
                        loan_amount: $("form#cash_ref__request [name='need']:checked").val(),
						 credit_score: $("form#cash_ref__requesto [name='needo']:checked").val(),
                        term_requested: $("form.register [name='loan_term']").val(),
                        //loan_purpose: $("form.register [name='loan_purpose']").val(),
                        residence_type: $("form.register [name='rentOwn']:checked").val(),
                        street: $("form.register [name='input__addr']").val(),
                        city: $("form.register [name='input__city']").val(),
                        post_code: $("form.register [name='input__zipcode']").val(),
                        country: "US",
                        state: $("form.register [name='state']").val(),
                        next_pay_date: $("form.register [name='next_payday']").val(),
                        second_pay_date: $("form.register [name='next_payday']").val(),

                        bank_name: $("form.register [name='bank_name']").val(),
                        bank_account_number: $("form.register [name='bank_accNum']").val(),
                        driver_license_number: $("form.register [name='driver_license']").val(),
                        social_security_number: $("form.register [name='ssn_number']").val(),
                        income_payment_type: $("form.register [name='payCheck']:checked").val(),
                        bank_aba: $("form.register [name='routing__name']").val(),
                        bank_type: $("form.register [name='bank__accountType']").val(),
                        bank_start: $("form.register [name='account_opened']:checked").val(),
                        user_agent: $("form.register [name='user_agent']").val(),
                        ip: $("form.register [name='ip']").val(),
                        password: $("#password_1").val(),
                        owner: $("#owner").length ? $("#owner").val() : "LOWCREDIT",
                        user_type: 0,
                        term_email: 0,
                        tracking_code: $("form.register [name='tracking_code']").val(),
                        sub: $("form.register [name='sub']").val(),
                        sub2: $("form.register [name='sub2']").val(),
                        short_form_id: $("form.register [name='short_form_id']").val(),
                    },
                    url: '/proxy.php',
                    timeout: 300000,
                    success: function (data) {

                        var result = jQuery.parseJSON(data);

                        if (!result.success) {

                            $("#waitPopUp").bPopup().close();
                            $('#form-error-box').fadeIn();
                            $('html, body').animate({
                                scrollTop: $("#form-error-box").offset().top - 80
                            }, 2000);
                        }
                        else {
                            if(result.app_id)
                                getStatus(result.app_id);
                        }

                    }

                });
            }else{
                console.log("invalid");
            }
        });

        $('.step-btn__finish_ssn').click(function (e) {
            e.preventDefault();
            console.log("finish ssn click");
            if (form.valid() == true) {
                showPopupLoader();

                $.ajax({
                    type: 'POST',
                    crossDomain: true,
                    data: {
                        action: 'add_app_us_ssn',
                        email: $("form.register [name='email__input']").val(),
                        loan_amount: $("form#cash_ref__request [name='need']:checked").val(),
                        term_requested: $("form.register [name='loan_term']").val(),
                        country: "US",
                        last_ssn: $("form.register [name='last_4_ssn']").val(),
                        user_agent: $("form.register [name='user_agent']").val(),
                        ip: $("form.register [name='ip']").val(),
                        owner: $("#owner").length ? $("#owner").val() : "LOWCREDIT",
                        user_type: 0,
                        term_email: 0,
                        tracking_code: $("form.register [name='tracking_code']").val(),
                        sub: $("form.register [name='sub']").val(),
                        sub2: $("form.register [name='sub2']").val(),
                        short_form_id: $("form.register [name='short_form_id']").val(),
                    },
                    url: '/proxy-ssn.php',
                    timeout: 300000,
                    success: function (data) {

                        var result = jQuery.parseJSON(data);

                        if (!result.success) {

                            $("#waitPopUp").bPopup().close();
                            $('#form-error-box').fadeIn();
                            $('html, body').animate({
                                scrollTop: $("#form-error-box").offset().top - 80
                            }, 2000);
                        }
                        else {
                            if(result.app_id)
                                getStatus(result.app_id);
                        }

                    }

                });
            }else{
                console.log("invalid");
            }
        });

        $('#cash_ref__request input[type=radio]').change(function () {
            console.log("radio change");
            $('.show-hide').hide();
            $(this).closest('.show-hide').hide().next('.show-hide').show();
            return false;

        });
        $('.step-btn__previous').click(function () {
            $('.show-hide').hide();
            $(this).closest('.show-hide').hide().prev('.show-hide').show();
            return false;
        });
    });
    $(window).scroll(function () {
        var scroll = $(window).scrollTop();
        if (scroll <= 10) {
            $('#header').removeClass('active');
        } else {
            $('#header').addClass('active');
        }
    });

    $(window).resize(function () {
        menuToggle();
    });

    $(document).ready(function () {
        console.log("ready");
        var option = '<option value="day" disabled="disabled">day</option>';
        var selectedDay = "day";
        for (var i = 1; i <= Days[0]; i++) { //add option days
            option += '<option value="' + i + '" >' + i + '</option>';
        }
        $('#day').append(option);
        $('#day').val(selectedDay);

        var option = '<option value="month" disabled="disabled">month</option>';
        var selectedMon = "month";
        for (var i = 1; i <= 12; i++) {
            option += '<option value="' + i + '">' + i + '</option>';
        }
        $('#month').append(option);
        $('#month').val(selectedMon);

        var option = '<option value="month" disabled="disabled">month</option>';
        var selectedMon = "month";
        for (var i = 1; i <= 12; i++) {
            option += '<option value="' + i + '">' + i + '</option>';
        }

        var d = new Date();
        var startYear = d.getFullYear() - 18;
        var option = '<option value="year" disabled="disabled">year</option>';
        selectedYear = "year";
        for (var i = startYear; i >= 1930; i--) {// years start i
            option += '<option value="' + i + '">' + i + '</option>';
        }
        $('#year').append(option);
        $('#year').val(selectedYear);
    });

    $(window).ready(function () {
        $("form#cash_ref__request").on("keypress", function (event) {
            //console.log("aaya");
            var keyPressed = event.keyCode || event.which;
            if (keyPressed === 13) {
                //alert("You pressed the Enter key!!");
                event.preventDefault();
                return false;
            }
        });
    });
})(jQuery);
